import { BinaryStream, OutputBinaryStream } from "node-opcua-binary-stream";
import { DateWithPicoseconds } from "./date_time";
export declare function isValidDateTime(value: any): boolean;
export declare function randomDateTime(): Date;
/**
 *
 * @param date {Date}
 * @param picoseconds {null} {number of picoseconds to improve javascript date... }
 * @param stream {BinaryStream}
 */
export declare function encodeHighAccuracyDateTime(date: Date | null, picoseconds: number, stream: OutputBinaryStream): void;
export declare function encodeDateTime(date: Date | null, stream: OutputBinaryStream): void;
/**
 *
 * @param stream
 * @returns {Date}
 */
export declare function decodeDateTime(stream: BinaryStream, _value?: Date | null): DateWithPicoseconds;
export declare const decodeHighAccuracyDateTime: typeof decodeDateTime;
export declare function coerceDateTime(value: any): Date;
