"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
/**
 * @module node-opcua-types
 */
// tslint:disable:no-console
const path = require("path");
const d = require("node-opcua-data-model");
const node_opcua_data_value_1 = require("node-opcua-data-value");
const node_opcua_generator_1 = require("node-opcua-generator");
const n = require("node-opcua-numeric-range");
const node_opcua_variant_1 = require("node-opcua-variant");
const force_inclusion = n.NumericRange;
const force_inclusion_QualifiedName = d.QualifiedName;
const force_inclusion_LocalizedText = d.LocalizedText;
const force_inclusion_Variant = node_opcua_variant_1.Variant;
const force_inclusion_DataValue = node_opcua_data_value_1.DataValue;
function main() {
    return __awaiter(this, void 0, void 0, function* () {
        try {
            // await build_generated_folder();
            const filename = path.join(__dirname, "../xmlschemas/Opc.Ua.Types.bsd");
            const generatedTypescriptFilename = path.join(__dirname, "_generated_opcua_types.ts");
            yield (0, node_opcua_generator_1.generate)(filename, generatedTypescriptFilename);
        }
        catch (err) {
            console.log(err);
        }
    });
}
main().then().catch();
//# sourceMappingURL=generate.js.map